package com.bcxin.api.interfaces.identities.responses;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * description：微信小程序用户授权返回数据
 * author：linchunpeng
 * date：2024/2/23
 */
@Data
@ApiModel(value="WeChatMiniAuthorizeVo对象", description="微信小程序用户授权返回数据")
public class WeChatMiniAuthorizeResponse implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "会话密钥")
    @JSONField(name = "session_key")
    private String sessionKey;

    @ApiModelProperty(value = "用户唯一标识")
    @JSONField(name = "openid")
    private String openId;

    @ApiModelProperty(value = "用户在开放平台的唯一标识符，若当前小程序已绑定到微信开放平台帐号下会返回")
    @JSONField(name = "unionid")
    private String unionId;

    @ApiModelProperty(value = "错误码")
    @JSONField(name = "errcode")
    private String errCode;

    @ApiModelProperty(value = "错误信息")
    @JSONField(name = "errmsg")
    private String errMsg;

}

